int value = 0;
boolean on;

void setup () {
  size(200, 200);
  background(0);
}
void drawDog () {  
  noStroke();
  fill(#F7C0C0);
  quad(30, 65, 90, 40, 140, 80, 60, 80);//left ear

  noStroke();
  fill(255);
  quad(40, 60, 35, 70, 25, 90, 30, 65);//flap over ear

  noStroke();
  fill(#F7C0C0);
  quad(120, 50, 130, 15, 160, 35, 115, 130);//right ear

  noStroke();
  fill(255);
  quad(80, 35, 120, 35, 140, 80, 60, 80);//top of head

  noStroke();
  fill(255);
  quad(80, 150, 120, 150, 140, 80, 60, 80);//bottom of head

  noStroke();
  fill(0);
  ellipse(80, 90, 20, 20);//left eye

  noStroke();
  fill(120);
  ellipse(85, 90, 3, 5);//glimmer in left eye

  noStroke();
  fill(0);
  ellipse(120, 90, 20, 20);//right eye

  noStroke();
  fill(120);
  ellipse(125, 90, 3, 5);//glimmer in right eye

  noStroke();
  fill(60);
  quad(90, 130, 110, 130, 107, 120, 93, 120);//top of nose

  noStroke();
  fill(60);
  quad(90, 130, 110, 130, 100, 140, 100, 140);//bottom of nose

  noStroke();
  fill(60);
  quad(93, 145, 107, 145, 100, 140, 100, 140);//mouth (closed)

  noStroke();
  fill(220);
  quad(80, 150, 120, 150, 140, 200, 60, 200);//body

  noStroke();
  fill(255);
  quad(20, 130, 60, 120, 80, 200, 55, 200);//left paw

  noStroke();
  fill(255);
  quad(mouseX, 130, mouseX-40, 120, 120, 200, 145, 200);//right paw
}





void drawDemonDog () {
  noStroke();
  fill(#F7C0C0);
  quad(30, 65, 90, 40, 140, 80, 60, 80);//left ear

  noStroke();
  fill(255);
  quad(40, 60, 35, 70, 25, 90, 30, 65);//flap over ear

  noStroke();
  fill(#F7C0C0);
  quad(120, 50, 130, 15, 160, 35, 115, 130);//right ear

  noStroke();
  fill(255);
  quad(80, 35, 120, 35, 140, 80, 60, 80);//top of head

  noStroke();
  fill(255);
  quad(80, 150, 120, 150, 140, 80, 60, 80);//bottom of head

  noStroke();
  fill(#ff0000);
  ellipse(80, 90, 20, 20);//left eye

  noStroke();
  fill(120);
  ellipse(80, 90, 5, 5);//glimmer in left eye

  noStroke();
  fill(#FF0000);
  ellipse(120, 90, 20, 20);//right eye

  noStroke();
  fill(120);
  ellipse(120, 90, 5, 5);//glimmer in right eye

  noStroke();
  fill(60);
  quad(90, 130, 110, 130, 107, 120, 93, 120);//top of nose

  noStroke();
  fill(60);
  quad(90, 130, 110, 130, 100, 140, 100, 140);//bottom of nose

  noStroke();
  fill(60);
  quad(93, 145, 107, 145, 100, 140, 100, 140);//mouth (closed)

  noStroke();
  fill(220);
  quad(80, 150, 120, 150, 140, 200, 60, 200);//body

  noStroke();
  fill(255);
  quad(20, 130, 60, 120, 80, 200, 55, 200);//left paw

  noStroke();
  fill(255);
  quad(180, 130, 140, 120, 120, 200, 145, 200);//right paw
}





void draw () {
  background (value);
  if (!on)
    drawDog ();
  else
    drawDemonDog();
}




void mouseClicked () {
  if (value == 0) {
    value = #FF0000;
    on = true;
  } else {
    value = 0;
    on = false;
  }
  background (value);
}

